## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           libsmf
Version:        1.3
Release:        %autorelease
Summary:        A library for editing MIDI files

# not verbatim BSD-2-Clause but probably close enough
License:        BSD-2-Clause
URL:            https://libsmf.sourceforge.net/
Source0:        http://ftp.stump.io/software/libsmf/%{name}-%{version}.tar.gz

BuildRequires:  coreutils binutils gcc make
BuildRequires:  automake autoconf libtool
BuildRequires:  doxygen

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(readline)

%description
A library for reading and writing standard MIDI files.

%prep
%autosetup

%build
autoreconf -fiv
%configure --with-readline
%make_build
doxygen doxygen.cfg

%install
%make_install

# remove static libraries
rm %{buildroot}/%{_libdir}/*.a

# install api docs
mkdir -p %{buildroot}/%{_docdir}/libsmf/api/
install -p -m 644 -t %{buildroot}/%{_docdir}/libsmf/api/ api/*

%files
%{_libdir}/%{name}.so.0{,.*}
%license COPYING
%doc NEWS


%package -n smf-utils
Summary:  Commandline utility for libsmf

%description -n smf-utils
Commandline utility for editing MIDI files based on libsmf

%files -n smf-utils
%{_bindir}/smfsh
%{_mandir}/man1/smfsh.1*
%license COPYING
%doc NEWS


%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Summary:  libsmf development files

%description devel
libsmf development files

%files devel
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/smf.pc
%{_includedir}/smf.h
%license COPYING
%doc NEWS


%package doc
Summary:    libsmf documentation
BuildArch:  noarch

%description doc
libsmf development documentation

%files doc
%{_pkgdocdir}/


%changelog
* Mon Oct 16 2023 Ike <ike@koeln.ccc.de> - 1.3-1
- Initial build
